Subject: RE: bash and 8-bit characters
From: "Sven O. Kielmann" <[email-masked]>
To: Sergey Okhapkin <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "'Demmer, Thomas'" <[email-masked]>
Date: Sat, 6 Feb 1999 14:40:15 +0100 (MET)

-----BEGIN PGP SIGNED MESSAGE-----

Hi Sergey,

I created the ~/.inputrc as you recommended and the umlauts are displayed
properly afterwards. Strangely I noticed that the 'a' and the 'k' key (only 
lower case) did not work anymore.

Besides the question of the umlauts I have another keyboard problem. I am
using Cygwin 20.1 with Windows95B and German keyboard layout and simply cannot
create the "^" and "`" character. Any ideas?

Thanx in advance,
Sven

On Fri, 5 Feb 1999, Sergey Okhapkin wrote:

> Demmer, Thomas wrote:
> > OK, I give up.
> > I tried to convince bash that over here umlauts are perfectly
> > legal characters, and there is no need to beep whenever I hit
> > a "Ã" or such. I snarfed an /etc/termcap from my Linux machine,
> > where this is no problem, but to no avail. Funny enough, self compiled
> > C programs don't care about bash, while less from the distribution does.
> > What the heck am I doing wrong or am I missing?
> >
> 
> ~/.inputrc:
> 
> set meta-flag on
> set convert-meta off
> set output-meta on
> #set 
> show-all-if-ambiguous on
> # home key
> "\e[1~":beginning-of-line
> # insert 
> key
> "\e[2~":paste-from-clipboard
> # del key
> "\e[3~":delete-char
> # end 
> key
> "\e[4~":end-of-line
> # pgup key
> "\e[5~":history-search-forward
> # pgdn 
> key
> "\e[6~":history-search-backward
> 
> --
> Sergey Okhapkin, http://www.lexa.ru/sos
> Piscataway, NJ

--   
Want to unsubscribe from this list?                             
Send a message to [email-masked]